import http from '@/utils/request'
import axios from 'axios'
// import md5 from 'md5'

// 登录
export function login (params) {
  return http.post('/tenant/auth/login', { data: params })
}

// 获取权限信息
export function getAuthorizationInfo () {
  return http.post('/tenant/auth/getCurrent')
}

// 退出
export function logout () {
  return http.post('/tenant/auth/logout')
}

// 是否短信验证
export function authsmsneed (params) {
  return http.post('/tenant/login/authsmsneed', { data: params })
}

// 发送验证码
export function authsmssend (params) {
  return http.post('/tenant/login/authsmssend', { data: params })
}

// 获取图形验证码
export function getCaptcha () {
  return axios.get('/external/util/captcha')
}
